net.i2p.router.tunnel.pool

## Class ExpireJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.tunnel.pool.ExpireJob

All Implemented Interfaces:
  Job

     class ExpireJob
    extends JobImpl

This runs twice for each tunnel. The first time, remove it from the LeaseSet. The second time, stop accepting data for it.

### Constructor Summary

Constructors
Constructor and Description
`ExpireJob(RouterContext ctx, TunnelCreatorConfig cfg, TunnelPool pool)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpireJob

    public ExpireJob(RouterContext ctx,
             TunnelCreatorConfig cfg,
             TunnelPool pool)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.